Help:Extension:Vertalen/Installatie

From mediawiki.org
This page is a translated version of the page Help:Extension:Translate/Installation and the translation is 100% complete.

De extensie Translate heeft, door updates die regelmatig uitkomen, een vrij recente versie van de MediaWiki nodig om te kunnen werken. Het doel is om de ontwikkelversie en de twee laatste stabiele versies van MediaWiki te ondersteunen. In packages kan de versie te oud zijn om aan de vereisten te voldoen. In dat geval moet u een recentere versie downloaden van mediawiki.org of uit de Wikimedia's Git repository.

De extensie gebruikt een model van doorgaande ontwikkeling, wat betekent dat de laatste versie altijd zou moeten werken. Alle veranderingen in de code van de extensie worden eerst nagekeken, beoordeeld en met unit-testen beoordeeld. De kernfunctionaliteit is aardig stabiel, maar er zullen natuurlijk van tijd tot tijd grotere wijzigingen zijn.

Vereisten

De volgende software is nodig om deze extensie te installeren:

  1. Een recente versie van MediaWiki
  2. MySQL database of SQLite (experimenteel)
  3. De Universele Taal Selector extensie (bijgevoegd in de MediaWiki Taal Extensie Bundel)
  4. (optioneel) Syck of phpyaml voor snellere en betere verwerking en generatie van YAML
  5. (optioneel) ElasticSearch voor geavanceerde zoekmogelijkheden en vertaalgeheugen
  6. (optioneel) Internettoegang op de server voor machinevertalingen
In PHP moet de module curl geïnstalleerd zijn om de functie voor het geven van suggesties voor het vertalen mogelijk te maken.

MediaWiki heeft nodig dat de job queue goed ingesteld is. Zonder die 'job queue' zal in Translate niets werken.

Daarnaast is er ook toegang tot de shell nodig om onderhoudsscripts te draaien.

Het gebruik van memcached voor caching en het gebruik van de APC PHP accelerator is aan te raden in een productieomgeving.

Installatie-instructies

Download links en instructies: MediaWiki Language Extension Bundle . De bundel bevat ook vaak gebruikte aanvullende extensies, inclusief de extensie Translate. Het bevat ook een werkende configuratie om u op weg te helpen bij een eerste installatie. Zie de Help:Extension:Translate/Configuration voor een beschrijving van deze instellingen.